Loading...
Searching...
No Matches
thread.cc File Reference
`#include "threadconf.h"`
`#include <list>`
`#include <vector>`
`#include <cstring>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <sys/mman.h>`
`#include "thread.h"`
`#include "singthreads.h"`

Go to the source code of this file.

## Namespaces

namespace | LibThread

## Functions

void | ThreadError (const char *message)
template<typename T>
T * | LibThread::shared_alloc (size_t n)
template<typename T>
T * | LibThread::shared_alloc0 (size_t n)
template<typename T>
void | LibThread::shared_free (T *p)

## Variables

pthread_t | no_thread

## Function Documentation

## ThreadError()

void ThreadError | ( | const char * | message | ) |

Definition at line 18 of file thread.cc.

{
fprintf(stderr, "FATAL ERROR: %s\n", message);
abort(); // should not happen
}
message
void message(int i, int *olddeg, int *reduc, kStrategy strat, int red_result)
Definition kutil.cc:7463

## Variable Documentation

## no_thread

pthread_t no_thread

Definition at line 16 of file thread.cc.